%global momorel 1
%global artsver 1.5.8
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 7333a1f12249467aa1233b374128a8d9

Summary: Efficient ID3 tag editor
Name: kid3
Version: 0.10
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kid3.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-0.8.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: flac-devel >= 1.2.1
BuildPreReq: gettext
BuildPreReq: id3lib-devel
BuildPreReq: libogg-devel
BuildPreReq: libtunepimp-devel >= 0.5.3-4m
BuildPreReq: libvorbis-devel
BuildPreReq: libxml2
BuildPreReq: taglib-devel >= 1.4

%description
If you want to easily tag multiple MP3, Ogg/Vorbis or FLAC files
(e.g. full albums) without typing the same information again and again
and have control over both ID3v1 and ID3v2 tags, then Kid3 is the
program you are looking for.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install man file
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 debian/kid3.1 %{buildroot}%{_mandir}/man1/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kid3.png %{buildroot}%{_datadir}/pixmaps/kid3.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kid3.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in de ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE README
%{_bindir}/kid3
%{_datadir}/applications/kde/kid3.desktop
%{_datadir}/apps/kid3
%{_datadir}/doc/HTML/*/kid3
%{_datadir}/icons/*/*/*/kid3.png
%{_datadir}/icons/*/*/*/kid3.svgz
%{_datadir}/locale/*/LC_MESSAGES/kid3.mo
%{_mandir}/man1/kid3.1*
%{_datadir}//pixmaps/kid3.png

%changelog
* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-1m)
- version 0.10
- License: GPLv2

- * Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- - (0.9-2m)
- - rebuild against libvorbis-1.2.0-1m

* Thu Jun 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- version 0.9

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- initial package for Momonga Linux
